# Uses of Class
org.springframework.web.servlet.support.RequestContext

Packages that use RequestContext
Package
Description
org.springframework.web.servlet.support
Support classes for Spring's web MVC framework.
org.springframework.web.servlet.tags
This package contains Spring's JSP standard tag library for JSP 2.0+.
org.springframework.web.servlet.view
Provides standard View and ViewResolver implementations, including abstract base classes for custom implementations.

## Uses of RequestContext in org.springframework.web.servlet.support

Subclasses of RequestContext in org.springframework.web.servlet.support
Modifier and Type
Class
Description
`class`
`JspAwareRequestContext`
JSP-aware (and JSTL-aware) subclass of RequestContext, allowing for population of the context from a `jakarta.servlet.jsp.PageContext`.
Methods in org.springframework.web.servlet.support with parameters of type RequestContext
Modifier and Type
Method
Description
`static void`
JstlUtils.`exposeLocalizationContext(RequestContext requestContext)`
Exposes JSTL-specific request attributes specifying locale and resource bundle for JSTL's formatting and message tags, using Spring's locale and MessageSource.
Constructors in org.springframework.web.servlet.support with parameters of type RequestContext
Modifier
Constructor
Description
``
`BindStatus(RequestContext requestContext, String path, boolean htmlEscape)`
Create a new BindStatus instance, representing a field or object status.

## Uses of RequestContext in org.springframework.web.servlet.tags

Methods in org.springframework.web.servlet.tags that return RequestContext
Modifier and Type
Method
Description
`protected final RequestContext`
RequestContextAwareTag.`getRequestContext()`
Return the current RequestContext.

## Uses of RequestContext in org.springframework.web.servlet.view

Methods in org.springframework.web.servlet.view that return RequestContext
Modifier and Type
Method
Description
`protected RequestContext`
AbstractView.`createRequestContext(HttpServletRequest request, HttpServletResponse response, Map<String,Object> model)`
Create a RequestContext to expose under the specified attribute name.